## com.imcode.imcms.util.rss.imcms
Class DocumentDublinCoreTerms

    java.lang.Object
      com.imcode.imcms.util.rss.imcms.DocumentDublinCoreTerms

All Implemented Interfaces:
  DublinCoreTerms

    public class DocumentDublinCoreTerms

extends java.lang.Object
implements DublinCoreTerms

Field Summary

Fields inherited from interface com.imcode.imcms.util.rss.dc.DublinCoreTerms
`DUBLIN_CORE_ELEMENTS_NAME_SPACE, DUBLIN_CORE_METADATA_ELEMENTS_NAMESPACE_URI, DUBLIN_CORE_METADATA_TERMS_NAMESPACE_URI, DUBLIN_CORE_TERMS_NAME_SPACE`

Constructor Summary
`DocumentDublinCoreTerms(java.lang.String urlRoot, Document document)`

Method Summary
`java.util.Date` `getCreated()`
`DublinCoreEntity` `getCreator()`
`java.lang.String` `getDescription()`
`java.lang.String` `getIdentifer()`
`java.util.Date` `getIssued()`
`java.util.Date` `getModified()`
`java.lang.String` `getTitle()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DocumentDublinCoreTerms

    public DocumentDublinCoreTerms(java.lang.String urlRoot,
                                   Document document)

Method Detail

### getIssued

    public java.util.Date getIssued()

  Specified by:
    `getIssued` in interface `DublinCoreTerms`

### getModified

    public java.util.Date getModified()

  Specified by:
    `getModified` in interface `DublinCoreTerms`

### getCreated

    public java.util.Date getCreated()

  Specified by:
    `getCreated` in interface `DublinCoreTerms`

### getCreator

    public DublinCoreEntity getCreator()

  Specified by:
    `getCreator` in interface `DublinCoreTerms`

### getDescription

    public java.lang.String getDescription()

  Specified by:
    `getDescription` in interface `DublinCoreTerms`

### getTitle

    public java.lang.String getTitle()

  Specified by:
    `getTitle` in interface `DublinCoreTerms`

### getIdentifer

    public java.lang.String getIdentifer()

  Specified by:
    `getIdentifer` in interface `DublinCoreTerms`